package com.ygtx.gxt.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;

/**
 * 工单个人分数明细对象 gxt_order_score_detail
 * 
 * @author ouyj
 * @date 2026-01-21
 */
public class GxtOrderScoreDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String nickName;

    /** 工单类型 */
    @Excel(name = "工单类型")
    private Integer orderType;

    /** 工单ID */
    @Excel(name = "工单ID")
    private Long orderId;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String orderCode;

    /** 分数类型，1、工单得分，2、运行得分，3、停机扣分 */
    @Excel(name = "分数类型，1、工单得分，2、运行得分，3、停机扣分")
    private Integer scoreType;

    /** 分数 */
    @Excel(name = "分数")
    private BigDecimal score;

    /** 工单评分得分 */
    @Excel(name = "工单评分得分")
    private BigDecimal rateScore;

    /** 运行得分 */
    @Excel(name = "运行得分")
    private BigDecimal runScore;

    /** 停机扣分 */
    @Excel(name = "停机扣分")
    private BigDecimal stopScore;

    /** 状态（0正常、1挂起） */
    @Excel(name = "状态")
    private Integer status;

    /** 创建时间(真实) */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTimeReal;

    /** 关联维修工单编号 */
    @Excel(name = "关联维修工单编号")
    private String orderCodeRelate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setNickName(String nickName) 
    {
        this.nickName = nickName;
    }

    public String getNickName() 
    {
        return nickName;
    }

    public void setOrderType(Integer orderType) 
    {
        this.orderType = orderType;
    }

    public Integer getOrderType() 
    {
        return orderType;
    }

    public void setOrderId(Long orderId) 
    {
        this.orderId = orderId;
    }

    public Long getOrderId() 
    {
        return orderId;
    }

    public void setOrderCode(String orderCode) 
    {
        this.orderCode = orderCode;
    }

    public String getOrderCode() 
    {
        return orderCode;
    }

    public void setScoreType(Integer scoreType) 
    {
        this.scoreType = scoreType;
    }

    public Integer getScoreType() 
    {
        return scoreType;
    }

    public void setScore(BigDecimal score) 
    {
        this.score = score;
    }

    public BigDecimal getScore() 
    {
        return score;
    }

    public void setRateScore(BigDecimal rateScore) 
    {
        this.rateScore = rateScore;
    }

    public BigDecimal getRateScore() 
    {
        return rateScore;
    }

    public void setRunScore(BigDecimal runScore) 
    {
        this.runScore = runScore;
    }

    public BigDecimal getRunScore() 
    {
        return runScore;
    }

    public void setStopScore(BigDecimal stopScore) 
    {
        this.stopScore = stopScore;
    }

    public BigDecimal getStopScore() 
    {
        return stopScore;
    }

    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public void setCreateTimeReal(Date createTimeReal) 
    {
        this.createTimeReal = createTimeReal;
    }

    public Date getCreateTimeReal() 
    {
        return createTimeReal;
    }

    public void setOrderCodeRelate(String orderCodeRelate) 
    {
        this.orderCodeRelate = orderCodeRelate;
    }

    public String getOrderCodeRelate() 
    {
        return orderCodeRelate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("nickName", getNickName())
            .append("orderType", getOrderType())
            .append("orderId", getOrderId())
            .append("orderCode", getOrderCode())
            .append("scoreType", getScoreType())
            .append("score", getScore())
            .append("rateScore", getRateScore())
            .append("runScore", getRunScore())
            .append("stopScore", getStopScore())
            .append("status", getStatus())
            .append("createTimeReal", getCreateTimeReal())
            .append("orderCodeRelate", getOrderCodeRelate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
